org.optaplanner.persistence.jsonb.api.score

## Class AbstractScoreJsonbAdapter<Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.persistence.jsonb.api.score.AbstractScoreJsonbAdapter<Score_>

- Type Parameters:
    `Score_` - the actual score type
  All Implemented Interfaces:
    javax.json.bind.adapter.JsonbAdapter<Score_,String>
  Direct Known Subclasses:
    BendableBigDecimalScoreJsonbAdapter, BendableLongScoreJsonbAdapter, BendableScoreJsonbAdapter, HardMediumSoftBigDecimalScoreJsonbAdapter, HardMediumSoftLongScoreJsonbAdapter, HardMediumSoftScoreJsonbAdapter, HardSoftBigDecimalScoreJsonbAdapter, HardSoftDoubleScoreJsonbAdapter, HardSoftLongScoreJsonbAdapter, HardSoftScoreJsonbAdapter, SimpleBigDecimalScoreJsonbAdapter, SimpleDoubleScoreJsonbAdapter, SimpleLongScoreJsonbAdapter, SimpleScoreJsonbAdapter

      public abstract class AbstractScoreJsonbAdapter<Score_ extends Score<Score_>>
      extends Object
      implements javax.json.bind.adapter.JsonbAdapter<Score_,String>

  JSON-B binding support for a `Score` type.

  For example: use `@JsonbTypeAdapter(HardSoftScoreJsonbAdapter.class)` on a `HardSoftScore score` field and it will be serialized to JSON as `"score":"-999hard/-999soft"`. Or better yet, use `OptaPlannerJsonbConfig` instead.

  See Also:
    `Score`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScoreJsonbAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `adaptToJson(Score_ score)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.json.bind.adapter.JsonbAdapter

      `adaptFromJson`

- - ### Constructor Detail

    - #### AbstractScoreJsonbAdapter

          public AbstractScoreJsonbAdapter()

  - ### Method Detail

    - #### adaptToJson

          public String adaptToJson(Score_ score)

      Specified by:
        `adaptToJson` in interface `javax.json.bind.adapter.JsonbAdapter<Score_ extends Score<Score_>,String>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.